| Home | Libraries | People | FAQ | More

##### deque_tie

###### Description

Returns the result type of `deque_tie`.

###### Synopsis

    template <typename ...Elements>
    struct deque_tie;

For C++11 compilers, the variadic template interface has no upper bound.

For C++03 compilers, the variadic function accepts `0` to `FUSION_MAX_DEQUE_SIZE` elements, where `FUSION_MAX_DEQUE_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_DEQUE_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_DEQUE_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Elements` | Variadic template types | Template arguments to `deque_tie`

###### Expression Semantics

    result_of::deque_tie<Elements...>::type;

Return type: `deque`<Elements&...>

Semantics: Create a `deque` of references from `Elements...`.

###### Header

    #include <boost/fusion/container/generation/deque_tie.hpp>
    #include <boost/fusion/include/deque_tie.hpp>

###### Example

    result_of::deque_tie<int, double>::type